Vagrant.configure("2") do |config|	
	config.vm.network "public_network"	
	# Database Server
	config.vm.define "db-dev" do |glr|
		glr.vm.box = "generic/centos8"
		glr.vm.hostname = "db-dev"
		glr.vm.synced_folder ".", "/vagrant", disabled: true
		glr.vm.provider "hyperv" do | h|
			h.enable_virtualization_extensions = true
			h.linked_clone = true
			h.cpus = 2
			h.memory = 2000
			h.maxmemory = 4000
			h.vmname = "db-dev"
			h.vm_integration_services = {
				guest_service_interface: true,
				time_synchronization: true
			}
		end
		glr.vm.provision "shell", 
			path: "scripts/boot_strap.sh",
			privileged: false,
			env: {ANSIBLE_PUB: ENV['ANSIBLE_PUB']}
	end
	# Content Server
	config.vm.define "cs-dev" do |glr|
		glr.vm.box = "generic/centos8"
		glr.vm.hostname = "cs-dev"
		glr.vm.synced_folder ".", "/vagrant", disabled: true
		glr.vm.provider "hyperv" do | h|
			h.enable_virtualization_extensions = true
			h.linked_clone = true
			h.cpus = 2
			h.memory = 2000
			h.maxmemory = 4000
			h.vmname = "cs-dev"
			h.vm_integration_services = {
				guest_service_interface: true,
				time_synchronization: true
			}
		end
		glr.vm.provision "shell", 
			path: "scripts/boot_strap.sh",
			privileged: false,
			env: {ANSIBLE_PUB: ENV['ANSIBLE_PUB']}
	end
	# App Server
	config.vm.define "app-dev" do |glr|
		glr.vm.box = "generic/centos8"
		glr.vm.hostname = "app-dev"
		glr.vm.synced_folder ".", "/vagrant", disabled: true
		glr.vm.provider "hyperv" do | h|
			h.enable_virtualization_extensions = true
			h.linked_clone = true
			h.cpus = 2
			h.memory = 2000
			h.maxmemory = 4000
			h.vmname = "app-dev"
			h.vm_integration_services = {
				guest_service_interface: true,
				time_synchronization: true
			}
		end
		glr.vm.provision "shell", 
			path: "scripts/boot_strap.sh",
			privileged: false,
			env: {ANSIBLE_PUB: ENV['ANSIBLE_PUB']}
	end
end
